## openbve 1.4.0.5

=== debian/changelog ===
openbve (1.4.0.5-1) unstable; urgency=low

  * Openbve ITP (Closes: #522854)
  * New upstream stable release (1.4.0.5)

 -- Paul Sladen <debian@paul.sladen.org>  Sat, 21 Jan 2012 21:00:00 +0100

openbve (1.4.0.0-2) UNRELEASED; urgency=low

  [Paul Sladen]
  * Openbve ITP (Closes: #522854)
  * debian/filesystem.cfg: use 'SpecialFolder.LocalApplicationData'
    + emulate behaviour until upstream allows LocalApplicationData
  * debian/README.source: document 'mask.bin'
  * debian/rules+control: convert to minimal debhelper 7 + bumps build-dep
  * debian/rules: use --with=cli
    + restore '--exclude-moduleref=AtsPluginProxy.dll'
      (removed >= 1.2.10.0-0ubuntu2) to stop errors
  * Provide more context for licensing discussions with upstream
  * Drop lynx dependency now that 'dh_installchangelogs' is used
  * Merge 'known-issues.txt' into main 'README.Debian'

 -- Paul Sladen <debian@paul.sladen.org>  Fri, 13 Jan 2012 23:00:00 +0100

openbve (1.4.0.0-1) experimental; urgency=low

  * Initial Debian upload
  * New upstream stable release (1.4.0.0)
    + update upstream URL to 'trainsimframework.org/*'
    + credits file as part of docs too
    + update 'changelog.html' and 'credits.html'
    + install new modular plugins to '/usr/lib/openbve/Plugins'
    + bump openbve-data (>= 1.4.0.0) hard dependency
  * debian/changelog: DEP5 and bump copyright to latest upstream wording
  * debian/source/format: '3.0 (quilt)'
  * debian/source/options: single-debian-patch

 -- Iain Lane <laney@debian.org>  Wed, 11 Jan 2012 23:00:00 +0100

openbve (1.2.10.0-0ubuntu3) precise; urgency=low

  * debian/control: Add missing dependency (libmono-i18n4.0-all) and remove
    dependency on libmono-i18n4.0-cil as the latter is a dependency of the
    first. Thanks to Paul Childs for the fix and to Paul Sladen for finding a
    dependency simplification. (LP: #877776)
    Adding also ${misc:Depends} to the Depends field and bumping the
    Standards-Version to 3.9.2 (current version).
  * debian/rules: Add build-arch and build-indep recommended targets.

 -- Alessandro Menti <alessandro.menti@hotmail.it>  Sat, 29 Oct 2011 19:40:10 +0200

openbve (1.2.10.0-0ubuntu2) oneiric; urgency=low

  * debian/rules: Skip AtsPluginProxy.dll modulrefs, these are Win32 only.
  * openBVE/OpenBveApi/OpenBveApi.csproj,
    openBVE/OpenBve/OpenBve.csproj: set TargetFrameworkVersion to v4.0.
  * debian/control: Tweak dependencies and build-dependencies for 4.0.

 -- Jo Shields <directhex@apebox.org>  Sat, 02 Jul 2011 22:11:00 +0100

openbve (1.2.10.0-0ubuntu1) natty; urgency=low

  * New upstream stable version (1.2.10.0)

 -- Paul Sladen <ubuntu@paul.sladen.org>  Tue, 28 Dec 2010 04:12:00 +0000

openbve (1.2.7.3-0ubuntu3) natty; urgency=low

  * debian/control: Fixed typo in first line of third paragraph of
    the package description-missing 's' in 'based' (LP: #628758)

 -- Arvind S Raj <sraj.arvind@gmail.com>  Fri, 24 Dec 2010 07:46:07 +0530

openbve (1.2.7.3-0ubuntu2) maverick; urgency=low

  * debian/control: fix minor spelling mistakes (LP: #628758)

 -- Paul Sladen <ubuntu@paul.sladen.org>  Sat,  9 Oct 2010 02:29:00 +0100

openbve (1.2.7.3-0ubuntu1) maverick; urgency=low

  * New upstream stable version (1.2.7.3)

 -- Paul Sladen <ubuntu@paul.sladen.org>  Wed, 11 Aug 2010 23:07:00 +0100

openbve (1.2.7.0-0ubuntu1) UNRELEASED; urgency=low

  * New upstream stable version (1.2.7.0)

 -- Paul Sladen <ubuntu@paul.sladen.org>  Sun, 11 Jul 2010 11:49:00 +0100

openbve (1.2.6.106-0ubuntu1) UNRELEASED; urgency=low

  * New upstream development version (1.2.6.106)

 -- Paul Sladen <ubuntu@paul.sladen.org>  Tue,  6 Jul 2010 02:45:00 +0100

openbve (1.2.6.105-0ubuntu1) UNRELEASED; urgency=low

  * New upstream development version (1.2.6.105)

 -- Paul Sladen <ubuntu@paul.sladen.org>  Sun,  4 Jul 2010 15:05:00 +0100

openbve (1.2.6.3-0ubuntu1) maverick; urgency=low

  * New upstream stable version (1.2.6.3)

 -- Paul Sladen <ubuntu@paul.sladen.org>  Wed,  5 May 2010 11:20:00 +0100

openbve (1.2.5.2-0ubuntu1) lucid; urgency=low

  * New upstream stable version (1.2.5.2)
  * Tweak build-deps to use newer tao*-cil-dev packages

 -- Paul Sladen <ubuntu@paul.sladen.org>  Tue, 16 Feb 2010 14:03:00 +0000

openbve (1.2.5.1-0ubuntu1) lucid; urgency=low

  * New upstream stable version (1.2.5.1)
    fixes (LP: #505299)
  * changelog.html: update (1.2.5.1)
  * rules: explicitly pass 'OpenBve.csproj' to xbuild
  * rules: use xbuild /t:Clean target now that it works

 -- Paul Sladen <ubuntu@paul.sladen.org>  Mon, 15 Feb 2010 18:28:00 +0000

openbve (1.2.4.5-0ubuntu1) unreleased; urgency=low

  * New upstream development version (1.2.4.5)
	
 -- Paul Sladen <ubuntu@paul.sladen.org>  Sat,  9 Jan 2010 02:03:00 +0000

openbve (1.2.4.4-0ubuntu1) lucid; urgency=low

  * New upstream development version (1.2.4.4)
  + fixes autoscaling (LP: #503913)
	
 -- Paul Sladen <ubuntu@paul.sladen.org>  Thu,  7 Jan 2010 15:18:00 +0000

openbve (1.2.4.1-0ubuntu1) lucid; urgency=low

  * New upstream development version (1.2.4.1) (LP: #444934)
    fixes (LP: #419523) (LP: #419525) (LP: #419530) (LP: #444462)
  * changelog.html: update (1.2.3.3)
	
 -- Paul Sladen <ubuntu@paul.sladen.org>  Wed,  6 Jan 2010 07:58:00 +0000

openbve (1.2.2.0-0ubuntu1) unreleased; urgency=low

  * New upstream stable version (1.2.2.0) (LP: #444934)
  * changelog.html: update (1.2.2.0)
  * releasenotes.html: update (1.2.1.3)
  * Add NEWS.Debian to docs

 -- Paul Sladen <ubuntu@paul.sladen.org>  Tue,  1 Sep 2009 00:11:00 +0100

openbve (1.2.0.3-0ubuntu1) karmic; urgency=low

  * New upstream stable version (1.2.0.3)
  * debian/copyright: update to reflect minor wording changes
  * debian/rules: "./rules fetch-html" for {changelog,releasenotes}.html
  * changelog.html: update (1.2.0.3)
  * releasenotes.html: update (1.2.0.0)
  * debian/rules: DEBUG_CONFIGURATION=Release to switch codepaths used
  * debian/control: openbve-data (>= 1.2.0.3+dfsg)


