## openbve 1.4.0.9

=== debian/changelog ===
openbve (1.4.0.9-1) unstable; urgency=low

  * New upstream stable release (1.4.0.9)

 -- Paul Sladen <debian@paul.sladen.org>  Wed, 08 Feb 2012 22:44:00 +0000

openbve (1.4.0.7-2) unstable; urgency=low

  * debian/openbve.desktop: Add generic name, and [de] name (Closes: #657599)
  * debian/openbve.desktop: Disable StartupNotify=false (Closes: #657599)
    (Thanks to Ronny Standtke)

 -- Paul Sladen <debian@paul.sladen.org>  Sat, 04 Feb 2012 17:17:17 +0000

openbve (1.4.0.7-1) unstable; urgency=low

  * New upstream stable release (1.4.0.7)
  * Delete extranous 'licence-background.txt' previously merged into
    debian/copyright in commit 9ae7ec26.
  * routes-and-trains.txt: refresh/cull list of third-party content websites

 -- Paul Sladen <debian@paul.sladen.org>  Sat, 04 Feb 2012 16:16:16 +0000
