## openbve 1.4.0.10

=== debian/changelog ===
openbve (1.4.0.10-3) unstable; urgency=medium

  * [7a396d5] Force TargetFrameworkVersion 4.5 instead (Closes: #809587)
  * [185291c] Don't try to build for "Client" version of .NET

 -- Jo Shields <directhex@apebox.org>  Sun, 03 Jan 2016 14:41:38 +0000

openbve (1.4.0.10-2) unstable; urgency=medium

  * [fd51e3b] Set framework to 4.0 for everything

 -- Jo Shields <jo.shields@xamarin.com>  Tue, 10 Nov 2015 09:39:39 +0000

openbve (1.4.0.10-1) unstable; urgency=low

  * New upstream stable release (1.4.0.10)

 -- Paul Sladen <debian@paul.sladen.org>  Wed, 15 Feb 2012 14:33:00 +0000
