=== debian/control ===
Source: openbve
Section: games
Priority: optional
Maintainer: Debian CLI Applications Team <pkg-cli-apps-team@lists.alioth.debian.org>
Uploaders: Paul Sladen <debian@paul.sladen.org>
Build-Depends: debhelper (>= 7.0.50~), mono-xbuild
Build-Depends-Indep: cli-common-dev (>= 0.8~), mono-devel (>= 2.10), libtaoframework-openal-cil-dev, libtaoframework-opengl-cil-dev, libtaoframework-sdl-cil-dev
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-cli-apps/packages/openbve.git
Vcs-Git: git://git.debian.org/git/pkg-cli-apps/packages/openbve.git
Standards-Version: 3.9.2
Homepage: http://trainsimframework.org/

Package: openbve
Architecture: all
Depends: ${cli:Depends}, libmono-i18n4.0-all, openbve-data (>= 1.4.0.0), ${misc:Depends}
Recommends: bve-route, bve-train
Provides: bve-engine
Description: realistic 3D train/railway simulator (main program)
 OpenBVE is a railway train-driving simulator with an emphasis on
 in-cab driving, realistic physics, braking system and train safety
 system modelling.
 .
 Technically, the simulator handles detailed per-car simulation of the
 brake systems, friction, air resistance, toppling and more. In trains
 supplied with 3D cabs, the driving experience is augmented with
 forces that shake the driver's simulated body upon acceleration and
 braking, as well as through curves.
 .
 Compared to other rail-based simulators, OpenBVE has its main focus on
 realism---not necessarily on user-friendliness. There may be a need
 to study operational manuals for the routes and trains chosen, rather
 than merely memorising a few keystrokes.
 .
 The simulator is designed to be backwards-compatible with existing
 'BVE Trainsim' routes and cab interiors, allowing a wide range of
 existing scenarios to be loaded by a single-program (BVE1, BVE2,
 BVE4 and extended OpenBVE route formats).
 .
 OpenBVE uses OpenGL for 3D graphics rendering, OpenAL for positional
 surround sound, and is written in the C# language.  Note that binary
 train extension plugins are not currently supported on Linux/Unix,
 because these would require Win32 emulation.
